Bug 1477663 - OSP11 -> OSP12 upgrade: after undercloud upgrade ironic-inspector logs repeated [Errno 32] Broken pipe errors in /var/log/messages
Summary: OSP11 -> OSP12 upgrade: after undercloud upgrade ironic-inspector logs repeat...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: z3
: 12.0 (Pike)
Assignee: RHOS Maint
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Keywords: Triaged, ZStream
: 1497635 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-02 15:08 UTC by Marius Cornea
Modified: 2018-09-17 13:16 UTC (History)
17 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-20 12:58:30 UTC


Attachments (Terms of Use)
messages (13.99 MB, text/plain)
2017-08-02 15:08 UTC, Marius Cornea
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59 UTC
OpenStack gerrit 520089 None stable/pike: MERGED puppet-tripleo: HAproxy should get full response from ironic-inspector 2017-11-27 18:22 UTC
Launchpad 1691971 None None None 2017-08-03 13:47 UTC

Description Marius Cornea 2017-08-02 15:08:31 UTC
Created attachment 1308293 [details]
messages

Description of problem:
OSP11 -> OSP12 upgrade: after undercloud upgrade ironic-inspector logs repeated [Errno 32] Broken pipe errors in /var/log/messages

Version-Release number of selected component (if applicable):
instack-6.0.1-0.20170706195330.ec102b1.el7ost.noarch
instack-undercloud-7.1.1-0.20170714211622.el7ost.noarch
python-ironic-inspector-client-1.12.0-0.20170331023022.045fd9e.el7ost.noarch
python-ironic-lib-2.9.0-0.20170721171010.dcc5a47.el7ost.noarch
openstack-ironic-common-8.0.1-0.20170721190058.e003b07.el7ost.noarch
openstack-ironic-inspector-5.1.1-0.20170720220617.b908a30.el7ost.noarch
python-ironicclient-1.15.0-0.20170720214824.035aff2.el7ost.noarch
openstack-ironic-api-8.0.1-0.20170721190058.e003b07.el7ost.noarch
openstack-ironic-conductor-8.0.1-0.20170721190058.e003b07.el7ost.noarch
puppet-ironic-11.2.0-0.20170720131500.514d7d4.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1. Deploy OSP11
2. Upgrade undercloud to OSP12
3. Check /var/log/messages on undercloud

Actual results:
Repeated error tracebacks:

Aug  2 11:06:14 undercloud-0 ironic-inspector: Traceback (most recent call last):
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib64/python2.7/SocketServer.py", line 295, in _handle_request_noblock
Aug  2 11:06:14 undercloud-0 ironic-inspector: self.process_request(request, client_address)
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib64/python2.7/SocketServer.py", line 321, in process_request
Aug  2 11:06:14 undercloud-0 ironic-inspector: self.finish_request(request, client_address)
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib64/python2.7/SocketServer.py", line 334, in finish_request
Aug  2 11:06:14 undercloud-0 ironic-inspector: self.RequestHandlerClass(request, client_address, self)
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib64/python2.7/SocketServer.py", line 651, in __init__
Aug  2 11:06:14 undercloud-0 ironic-inspector: self.finish()
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib64/python2.7/SocketServer.py", line 710, in finish
Aug  2 11:06:14 undercloud-0 ironic-inspector: self.wfile.close()
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib64/python2.7/socket.py", line 279, in close
Aug  2 11:06:14 undercloud-0 ironic-inspector: self.flush()
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib64/python2.7/socket.py", line 303, in flush
Aug  2 11:06:14 undercloud-0 ironic-inspector: self._sock.sendall(view[write_offset:write_offset+buffer_size])
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib/python2.7/site-packages/eventlet/greenio/base.py", line 390, in sendall
Aug  2 11:06:14 undercloud-0 ironic-inspector: tail = self.send(data, flags)
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib/python2.7/site-packages/eventlet/greenio/base.py", line 384, in send
Aug  2 11:06:14 undercloud-0 ironic-inspector: return self._send_loop(self.fd.send, data, flags)
Aug  2 11:06:14 undercloud-0 ironic-inspector: File "/usr/lib/python2.7/site-packages/eventlet/greenio/base.py", line 371, in _send_loop
Aug  2 11:06:14 undercloud-0 ironic-inspector: return send_method(data, *args)
Aug  2 11:06:14 undercloud-0 ironic-inspector: error: [Errno 32] Broken pipe


Expected results:
No errors show up.

Additional info:
Attaching /var/log/messages.

Comment 1 Bob Fournier 2017-10-02 15:02:25 UTC
*** Bug 1497635 has been marked as a duplicate of this bug. ***

Comment 3 mathieu bultel 2017-11-15 14:25:28 UTC
Moving ON_dev since the fix has not cherry pick merged

Comment 12 Yurii Prokulevych 2018-08-03 11:30:23 UTC
Verified with puppet-tripleo-7.4.12-6.el7ost.noarch

Comment 14 errata-xmlrpc 2018-08-20 12:58:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.